{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-25.11";
    nixpkgs-unstable.url = "github:NixOS/nixpkgs/nixos-unstable";
    nixos-hardware.url = "github:NixOS/nixos-hardware/master";
    home-manager = {
      url = "github:nix-community/home-manager/release-25.11";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    xlibre-overlay = {
      url = "git+https://codeberg.org/takagemacoed/xlibre-overlay";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    my-ricing-assets = {
      url = "path:./assets";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };
  outputs = inputs@{ self, nixpkgs, ... }: {
    nixosModules = {
      hm = inputs.home-manager.nixosModules.home-manager;
      hmConfig = {
        home-manager = {
          useGlobalPkgs = true;
          useUserPackages = true;
          users."bitbang" = ./home/default.nix;
         };
      };
    };
    nixosConfigurations = import ./hosts inputs;
  };
}

